Package org.apache.any23.vocab

## Class OGPVideo

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.OGPVideo

-     public class OGPVideo
      extends Vocabulary

  The Open Graph Protocol Video Type vocabulary.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` |
    `static String` | `NS` |
    `static String` | `VIDEO__ACTOR` | Actors in the movie.
    `static String` | `VIDEO__ACTOR_ROLE` | The role they played.
    `static String` | `VIDEO__DIRECTOR` | Directors of the movie.
    `static String` | `VIDEO__DURATION` | The movie's length in seconds.
    `static String` | `VIDEO__RELEASE_DATE` | The date the movie was released.
    `static String` | `VIDEO__SERIES` | Which series this episode belongs to.
    `static String` | `VIDEO__TAG` | Tag words associated with this movie.
    `static String` | `VIDEO__WRITER` | Writers of the movie.
    `org.eclipse.rdf4j.model.IRI` | `videoActor` |
    `org.eclipse.rdf4j.model.IRI` | `videoActorRole` |
    `org.eclipse.rdf4j.model.IRI` | `videoDirector` |
    `org.eclipse.rdf4j.model.IRI` | `videoDuration` |
    `org.eclipse.rdf4j.model.IRI` | `videoReleaseDate` |
    `org.eclipse.rdf4j.model.IRI` | `videoSeries` |
    `org.eclipse.rdf4j.model.IRI` | `videoTag` |
    `org.eclipse.rdf4j.model.IRI` | `videoWriter` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OGPVideo` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### VIDEO__ACTOR

          public static final String VIDEO__ACTOR

      Actors in the movie.
      See Also:
        Constant Field Values

    - #### VIDEO__ACTOR_ROLE

          public static final String VIDEO__ACTOR_ROLE

      The role they played.
      See Also:
        Constant Field Values

    - #### VIDEO__DIRECTOR

          public static final String VIDEO__DIRECTOR

      Directors of the movie.
      See Also:
        Constant Field Values

    - #### VIDEO__WRITER

          public static final String VIDEO__WRITER

      Writers of the movie.
      See Also:
        Constant Field Values

    - #### VIDEO__DURATION

          public static final String VIDEO__DURATION

      The movie's length in seconds.
      See Also:
        Constant Field Values

    - #### VIDEO__RELEASE_DATE

          public static final String VIDEO__RELEASE_DATE

      The date the movie was released.
      See Also:
        Constant Field Values

    - #### VIDEO__TAG

          public static final String VIDEO__TAG

      Tag words associated with this movie.
      See Also:
        Constant Field Values

    - #### VIDEO__SERIES

          public static final String VIDEO__SERIES

      Which series this episode belongs to.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

    - #### videoActor

          public final org.eclipse.rdf4j.model.IRI videoActor

    - #### videoActorRole

          public final org.eclipse.rdf4j.model.IRI videoActorRole

    - #### videoDirector

          public final org.eclipse.rdf4j.model.IRI videoDirector

    - #### videoWriter

          public final org.eclipse.rdf4j.model.IRI videoWriter

    - #### videoDuration

          public final org.eclipse.rdf4j.model.IRI videoDuration

    - #### videoReleaseDate

          public final org.eclipse.rdf4j.model.IRI videoReleaseDate

    - #### videoTag

          public final org.eclipse.rdf4j.model.IRI videoTag

    - #### videoSeries

          public final org.eclipse.rdf4j.model.IRI videoSeries

  - ### Method Detail

    - #### getInstance

          public static OGPVideo getInstance()